{
  config,
  lib,
  pkgs,
  ...
}:
{
  imports = [ ];

  config = lib.mkMerge [
    {
      nix.distributedBuilds = true;
      nix.buildMachines = [
        {
          hostName = "hydra";
          systems = [
            "x86_64-linux"
            # "aarch64-linux"
          ];
          maxJobs = 1;
          speedFactor = 2;
          supportedFeatures = [
            # "nixos-test"
            "benchmark"
            "big-parallel"
            # "kvm"
          ];
        }
      ];
    }
  ];
}
